import request from '@/utils/request'

// 查询登录日志列表
export function list(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/logininfor/list',
    method: 'get',
    params: query
  })
}

// 删除登录日志
export function delLogininfor(infoId) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/logininfor/' + infoId,
    method: 'delete'
  })
}

// 解锁用户登录状态
export function unlockLogininfor(userName) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/logininfor/unlock/' + userName,
    method: 'get'
  })
}

// 清空登录日志
export function cleanLogininfor() {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/monitor/logininfor/clean',
    method: 'delete'
  })
}
